[Defaults]
command.time = 15
command.buffer.time = 1

;---超必殺技--------------------------------------------
[Command]
name = "マジカル☆バレット"
command = x+z

;---必殺技----------------------------------------------
[Command]
name = "攻撃ボタン"
command = x

[Command]
name = "持ち上げボタン"
command = a

[Command]
name = "回転ボタン"
command = b

[Command]
name = "ジャンプボタン"
command = c

[Command]
name = "Lボタン"
command = y

[Command]
name = "Rボタン"
command = z

[Command]
name = "スタートボタン"
command = start

[Command]
name = "自爆"
command = x+y+z


;---キー２回連続入力------------------------------------

[Command]
name = "FF"       
command = F, F
time = 10

[Command]
name = "BB"       
command = B, B
time = 10

;---ボタン単発------------------------------------------

[Command]
name = "a"
command = a
time = 1

[Command]
name = "b"
command = b
time = 1

[Command]
name = "c"
command = c
time = 1

[Command]
name = "x"
command = x
time = 1

[Command]
name = "y"
command = y
time = 1

[Command]
name = "z"
command = z
time = 1

[Command]
name = "start"
command = s
time = 1

[Command]
name = "hold_a"
command = /a

[Command]
name = "hold_b"
command = /b

[Command]
name = "hold_c"
command = /c

[Command]
name = "hold_x"
command = /x

[Command]
name = "hold_y"
command = /y

[Command]
name = "hold_z"
command = /z

;---方向キー---------------------------------------
[Command]
name = "holdfwd"   
command = /$F
time = 1

[Command]
name = "holdback"  
command = /$B
time = 1

[Command]
name = "holdup"    
command = /$U
time = 1

[Command]
name = "holddown"
command = /$D
time = 1

;---同時押し---------------------------------------
[Command]
name = "LR"
command = y+z
time = 1

[Statedef -1]
;---超必殺技-------------------------------------------------------------------------
[State -1, マジカル☆バレット]
type = changestate
triggerall = var(58) = 1
triggerall = var(59) = 0
triggerall = command = "マジカル☆バレット"
trigger1 = StateType = A && Ctrl
trigger2 = stateno = 50
trigger3 = stateno = 116
trigger3 = pos Y < 0
trigger4 = time > 10
trigger4 = stateno = 1002
trigger5 = stateno = 1905
trigger6 = stateno = 1906
value = 3000

;---必殺技---------------------------------------------------------------------------
[State -1, ヒップアタック]
type = ChangeState
triggerall = var(59) = 0
triggerall = command = "holddown"
triggerall = command = "ジャンプボタン"
trigger1 = stateno = 50
trigger2 = stateno = 116
trigger2 = pos Y < 0
trigger3 = time > 10
trigger3 = stateno = 1002
trigger4 = stateno = 1905
trigger5 = stateno = 1906
trigger6 = stateno = 3001
value = 1000

[State -1, アサギ・ワンダーバスター（仮）地]
type = ChangeState
triggerall = var(54) = 0
triggerall = var(59) = 0
triggerall = command = "攻撃ボタン"
triggerall = statetype != A
triggerall = Numhelper(1120)+Numhelper(1121) < 4
trigger1 = ctrl
trigger2 = stateno = 1100
trigger2 = animelemtime(4) >= 0
value = 1100

[State -1, アサギ・ワンダーバスター（仮）空]
type = ChangeState
triggerall = var(54) = 0
triggerall = var(59) = 0
triggerall = command = "攻撃ボタン"
triggerall = statetype = A
triggerall = Numhelper(1120)+Numhelper(1121) < 4
trigger1 = ctrl
trigger2 = stateno = 1110
trigger2 = animelemtime(4) >= 0
trigger3 = stateno = 50
trigger4 = time > 10
trigger4 = stateno = 1002
value = 1110

[State -1, アサギ・ザ・ショットガン（仮）地01_a]
type = ChangeState
triggerall = var(21) > 0
triggerall = var(54) = 1
triggerall = var(59) = 0
triggerall = command != "holdup"
triggerall = command = "攻撃ボタン"
triggerall = statetype != A
trigger1 = ctrl
value = 1200

[State -1, アサギ・ザ・ショットガン（仮）地01_b]
type = ChangeState
triggerall = var(21) > 0
triggerall = var(54) = 1
triggerall = var(59) = 0
triggerall = command != "holdup"
triggerall = command = "hold_x"
triggerall = statetype != A
triggerall = NumProjID(1230) < 3
trigger1 = stateno = 1201
trigger1 = animelemtime(1) > 0
trigger2 = stateno = 1205
trigger2 = animelemtime(1) > 0
value = 1200

[State -1, アサギ・ザ・ショットガン（仮）地02_a]
type = ChangeState
triggerall = var(21) > 0
triggerall = var(54) = 1
triggerall = var(59) = 0
triggerall = command = "holdup"
triggerall = command = "攻撃ボタン"
triggerall = statetype != A
trigger1 = ctrl
value = 1204

[State -1, アサギ・ザ・ショットガン（仮）地02_b]
type = ChangeState
triggerall = var(21) > 0
triggerall = var(54) = 1
triggerall = var(59) = 0
triggerall = command = "holdup"
triggerall = command = "hold_x"
triggerall = statetype != A
triggerall = NumProjID(1230) < 3
trigger1 = stateno = 1201
trigger1 = animelemtime(1) > 0
trigger2 = stateno = 1205
trigger2 = animelemtime(1) > 0
value = 1204

[State -1, アサギ・ザ・ショットガン（仮）空01_a]
type = ChangeState
triggerall = var(21) > 0
triggerall = var(54) = 1
triggerall = var(59) = 0
triggerall = command != "holdup"
triggerall = command != "holddown"
triggerall = command = "攻撃ボタン"
triggerall = statetype = A
trigger1 = ctrl
trigger2 = time > 10
trigger2 = stateno = 1002
value = 1202

[State -1, アサギ・ザ・ショットガン（仮）空01_b]
type = ChangeState
triggerall = var(21) > 0
triggerall = var(54) = 1
triggerall = var(59) = 0
triggerall = command != "holdup"
triggerall = command != "holddown"
triggerall = command = "hold_x"
triggerall = statetype = A
triggerall = NumProjID(1230) < 3
trigger1 = stateno = 1203
trigger1 = animelemtime(1) > 0
trigger2 = stateno = 1207
trigger2 = animelemtime(1) > 0
trigger3 = stateno = 1209
trigger3 = animelemtime(1) > 0
value = 1202

[State -1, アサギ・ザ・ショットガン（仮）空02_a]
type = ChangeState
triggerall = var(21) > 0
triggerall = var(54) = 1
triggerall = var(59) = 0
triggerall = command = "holdup"
triggerall = command != "holddown"
triggerall = command = "攻撃ボタン"
triggerall = statetype = A
trigger1 = ctrl
trigger2 = time > 10
trigger2 = stateno = 1002
value = 1206

[State -1, アサギ・ザ・ショットガン（仮）空02_b]
type = ChangeState
triggerall = var(21) > 0
triggerall = var(54) = 1
triggerall = var(59) = 0
triggerall = command = "holdup"
triggerall = command != "holddown"
triggerall = command = "hold_x"
triggerall = statetype = A
triggerall = NumProjID(1230) < 3
trigger1 = stateno = 1203
trigger1 = animelemtime(1) > 0
trigger2 = stateno = 1207
trigger2 = animelemtime(1) > 0
trigger3 = stateno = 1209
trigger3 = animelemtime(1) > 0
value = 1206

[State -1, アサギ・ザ・ショットガン（仮）空03_a]
type = ChangeState
triggerall = var(21) > 0
triggerall = var(54) = 1
triggerall = var(59) = 0
triggerall = command != "holdup"
triggerall = command = "holddown"
triggerall = command = "攻撃ボタン"
triggerall = statetype = A
trigger1 = ctrl
trigger2 = time > 10
trigger2 = stateno = 1002
value = 1208

[State -1, アサギ・ザ・ショットガン（仮）空03_b]
type = ChangeState
triggerall = var(21) > 0
triggerall = var(54) = 1
triggerall = var(59) = 0
triggerall = command != "holdup"
triggerall = command = "holddown"
triggerall = command = "hold_x"
triggerall = statetype = A
triggerall = NumProjID(1230) < 3
trigger1 = stateno = 1203
trigger1 = animelemtime(1) > 0
trigger2 = stateno = 1207
trigger2 = animelemtime(1) > 0
trigger3 = stateno = 1209
trigger3 = animelemtime(1) > 0
value = 1208

[State -1, アサギ・ガトリング（仮）地01]
type = ChangeState
triggerall = var(22) > 0
triggerall = var(54) = 2
triggerall = var(59) = 0
triggerall = command != "holdup"
triggerall = command = "攻撃ボタン"
triggerall = statetype != A
trigger1 = ctrl
value = 1300

[State -1, アサギ・ガトリング（仮）地02]
type = ChangeState
triggerall = var(22) > 0
triggerall = var(54) = 2
triggerall = var(59) = 0
triggerall = command = "holdup"
triggerall = command = "攻撃ボタン"
triggerall = statetype != A
trigger1 = ctrl
value = 1303

[State -1, アサギの凄いバズーカ（仮）地01]
type = ChangeState
triggerall = var(23) > 0
triggerall = var(54) = 3
triggerall = var(59) = 0
triggerall = statetype != A
triggerall = command != "holdup"
trigger1 = command = "攻撃ボタン"
trigger1 = ctrl
trigger2 = command = "hold_x"
trigger2 = stateno = 1401
trigger2 = animelemtime(1) >= 10
trigger3 = command = "hold_x"
trigger3 = stateno = 1403
trigger3 = animelemtime(1) >= 10
value = 1400

[State -1, アサギの凄いバズーカ（仮）地02]
type = ChangeState
triggerall = var(23) > 0
triggerall = var(54) = 3
triggerall = var(59) = 0
triggerall = statetype != A
triggerall = command = "holdup"
trigger1 = command = "攻撃ボタン"
trigger1 = ctrl
trigger2 = command = "hold_x"
trigger2 = stateno = 1401
trigger2 = animelemtime(1) >= 10
trigger3 = command = "hold_x"
trigger3 = stateno = 1403
trigger3 = animelemtime(1) >= 10
value = 1402

[State -1, アサギの凄いバズーカ（仮）空]
type = ChangeState
triggerall = var(23) > 0
triggerall = var(54) = 3
triggerall = var(59) = 0
triggerall = statetype = A
triggerall = command = "攻撃ボタン"
trigger1 = ctrl
trigger2 = time > 10
trigger2 = stateno = 1002
value = 1404

[State -1, アサギのワクワク火炎放射器（仮）地01]
type = ChangeState
triggerall = var(24) > 0
triggerall = var(54) = 4
triggerall = var(59) = 0
triggerall = command != "holdup"
trigger1 = command = "攻撃ボタン"
trigger1 = ctrl
trigger2 = command = "hold_x"
trigger2 = stateno = 1501
trigger3 = command = "hold_x"
trigger3 = stateno = 1503
trigger4 = command = "攻撃ボタン"
trigger4 = time > 10
trigger4 = stateno = 1002
value = 1500

[State -1, アサギのワクワク火炎放射器（仮）地02]
type = ChangeState
triggerall = var(24) > 0
triggerall = var(54) = 4
triggerall = var(59) = 0
triggerall = statetype != A
triggerall = command = "holdup"
trigger1 = command = "攻撃ボタン"
trigger1 = ctrl
trigger2 = command = "hold_x"
trigger2 = stateno = 1501
trigger3 = command = "hold_x"
trigger3 = stateno = 1503
value = 1502

[State -1, アサギのカッコイイドリル（仮）地01]
type = ChangeState
triggerall = var(25) > 0
triggerall = var(54) = 5
triggerall = var(59) = 0
triggerall = statetype != A
triggerall = command != "holdup"
triggerall = command = "攻撃ボタン"
trigger1 = ctrl
value = 1600

[State -1, アサギのカッコイイドリル（仮）地02]
type = ChangeState
triggerall = var(25) > 0
triggerall = var(54) = 5
triggerall = var(59) = 0
triggerall = statetype != A
triggerall = command = "holdup"
triggerall = command = "攻撃ボタン"
trigger1 = ctrl
value = 1602

[State -1, アサギのカッコイイドリル（仮）空01]
type = ChangeState
triggerall = var(25) > 0
triggerall = var(54) = 5
triggerall = var(59) = 0
triggerall = statetype = A
triggerall = command != "holdup"
triggerall = command != "holddown"
triggerall = command = "攻撃ボタン"
trigger1 = ctrl
trigger2 = time > 10
trigger2 = stateno = 1002
value = 1604

[State -1, アサギのカッコイイドリル（仮）空02]
type = ChangeState
triggerall = var(25) > 0
triggerall = var(54) = 5
triggerall = var(59) = 0
triggerall = statetype = A
triggerall = command = "holdup"
triggerall = command != "holddown"
triggerall = command = "攻撃ボタン"
trigger1 = ctrl
trigger2 = time > 10
trigger2 = stateno = 1002
value = 1606

[State -1, アサギのカッコイイドリル（仮）空03]
type = ChangeState
triggerall = var(25) > 0
triggerall = var(54) = 5
triggerall = var(59) = 0
triggerall = statetype = A
triggerall = command != "holdup"
triggerall = command = "holddown"
triggerall = command = "攻撃ボタン"
trigger1 = ctrl
trigger2 = time > 10
trigger2 = stateno = 1002
value = 1608

[State -1, アサギwithニャーン（仮）]
type = ChangeState
triggerall = var(26) > 0
triggerall = var(54) = 6
triggerall = var(59) = 0
triggerall = statetype != A
triggerall = command = "攻撃ボタン"
trigger1 = ctrl
value = 1700

[State -1, ドリームキャスター（仮）]
type = ChangeState
triggerall = var(54) = 7
triggerall = var(59) = 0
triggerall = statetype != A
triggerall = command = "攻撃ボタン"
trigger1 = ctrl
value = 1800

[State -1, 魔香芋]
type = ChangeState
triggerall = var(28) > 0
triggerall = var(54) = 8
triggerall = var(59) = 0
triggerall = command = "攻撃ボタン"
trigger1 = ctrl
trigger2 = time > 10
trigger2 = stateno = 1002
value = 1900

[State -1, 投げ]
type = ChangeState
value = 500
triggerall = var(59) = 0
triggerall = command = "持ち上げボタン"
triggerall = command != "holdback"
triggerall = statetype = S
triggerall = P2BodyDist X < 30
trigger1 = ctrl

[State -1, 投げ逆]
type = ChangeState
value = 503
triggerall = var(59) = 0
triggerall = command = "持ち上げボタン"
triggerall = command = "holdback"
triggerall = statetype = S
triggerall = P2BodyDist X < 30
trigger1 = ctrl

;---基本行動---------------------------------------------------------------------------
[State -1, 挑発]
type = ChangeState
value = 200
triggerall = command = "start"
triggerall = statetype = S
trigger1 = ctrl

[State -1, ジャンプ]
type = ChangeState
value = 41
triggerall = command = "ジャンプボタン"
triggerall = statetype = S
trigger1 = ctrl
trigger2 = stateno = 100
trigger3 = stateno = 105
trigger4 = stateno = 106
trigger5 = stateno = 107
trigger6 = stateno = 117
trigger7 = stateno = 1100
trigger7 = animelemtime(4) >= 0
trigger8 = stateno = 1201
trigger8 = animelemtime(1) > 0
trigger9 = stateno = 1300
trigger10 = stateno = 1302
trigger11 = stateno = 1401
trigger12 = stateno = 1403
trigger13 = stateno = 1501
trigger14 = stateno = 1503
trigger15 = stateno = 1601
trigger16 = stateno = 1603

[State -1, 回転]
type = ChangeState
value = 90
triggerall = command = "回転ボタン"
triggerall = statetype = S
trigger1 = ctrl
trigger2 = stateno = 1100
trigger2 = animelemtime(4) >= 0

[State -1, 回転2]
type = ChangeState
value = 91
triggerall = command = "回転ボタン"
trigger1 = stateno = 100
trigger2 = stateno = 105

[State -1, 2段ジャンプ]
type = ChangeState
value = 45
triggerall = command = "ジャンプボタン"
triggerall = var(0) = 0
triggerall = var(1) = 0
trigger1 = stateno = 50
trigger2 = stateno = 116
trigger3 = time > 12
trigger3 = stateno = 502
trigger4 = time > 10
trigger4 = stateno = 1002

[State -1, 2段ジャンプ2]
type = ChangeState
value = 46
triggerall = command = "ジャンプボタン"
triggerall = var(0) = 0
triggerall = var(1) = 1
trigger1 = stateno = 50

[State -1, スライディング]
type = ChangeState
value = 116
triggerall = command = "holddown"
trigger1 = stateno = 100

[State -1,自爆ヘルパー]
type = Helper
trigger1 = NumHelper(610) = 0
trigger1 = movetype = H
trigger1 = command = "自爆"
helpertype = normal
name = "zibaku"
stateno = 610
postype = p1
pos = 0, 0
ownpal = 1
supermovetime = 0
pausemovetime = 0
size.xscale = 1.0
size.yscale = 1.0
ID = 610
ignorehitpause = 1

[State -1, 自爆抜け]
type = ChangeState
value = 600
triggerall = Alive
triggerall = command = "自爆"
trigger1 = movetype = H
ignorehitpause = 1


;---ウェポンチェンジ----------------------------------------------------------------------------

[State -1,チェンジサウンド]
type = playsnd
trigger1 = command = "Lボタン"
trigger1 = command != "hold_z"
trigger2 = command != "hold_y"
trigger2 = command = "Rボタン"
trigger3 = var(54) = [0,5]
trigger3 = command = "LR"
value = S10, 100

[State -1,特殊ウェポン]
type = varset
triggerall = var(54) = [0,5]
trigger1 = command = "LR"
var(54) = 6

[State -1,ウェポンチェンジL]
type = varadd
trigger1 = var(54) = [0,5]
trigger1 = command = "Lボタン"
trigger1 = command != "hold_z"
var(54) = ifelse(var(54) = 0, 5, -1)

[State -1,ウェポンチェンジR]
type = varadd
trigger1 = var(54) = [0,5]
trigger1 = command != "hold_y"
trigger1 = command = "Rボタン"
var(54) = ifelse(var(54) = 5, -5, 1)

[State -1,ウェポンチェンジL]
type = varadd
trigger1 = var(54) = [6,8]
trigger1 = command = "Lボタン"
trigger1 = command != "hold_z"
var(54) = ifelse(var(54) = 6, 2, -1)

[State -1,ウェポンチェンジR]
type = varadd
trigger1 = var(54) = [6,8]
trigger1 = command != "hold_y"
trigger1 = command = "Rボタン"
var(54) = ifelse(var(54) = 8, -2, 1)

;ペナルティ----------------------------------------------------------
[State -1]
type = varset
triggerall = Numhelper(20000)
trigger1 = time%2 = 1
fvar(0) = helper(20000),ParentDist X
ignorehitpause = 1

[State -1]
type = varset
trigger1 = time%2 = 1
fvar(1) = pos Y
ignorehitpause = 1

[State -1]
type = varadd
triggerall = var(58) = 0
triggerall = Numhelper(20000)
triggerall = movetype = A
trigger1 = stateno != 0
trigger1 = fvar(0) = helper(20000),ParentDist X
trigger1 = fvar(1) = pos Y
trigger1 = movetype != H
var(45) = 1
ignorehitpause = 1

[State -1]
type = Helper
trigger1 = var(44) != 0
trigger1 = NumHelper(400) = 0
trigger1 = var(45) >= var(44)
helpertype = normal
name = "tarai"
stateno = 400
postype = p1
pos = 0, -240
ownpal = 1
supermovetime = 0
pausemovetime = 0
size.xscale = 1.3
size.yscale = 1.3
ID = 400
ignorehitpause = 1

;ライフ回復------------------------------------------------------------------------------------------------
[state -1]
type = varadd
trigger1 = life = lifemax
var(2) = 0

[state -1]
type = varadd
trigger1 = var(2) >= 1
var(2) = -1

[state -1]
type = playsnd
trigger1 = var(2) > 0
trigger1 = Gametime%5 = 0
trigger1 = life != lifemax
value = S10, 22
channel = 17
lowpriority = 0

[state -1]
type = lifeadd
trigger1 = var(2) > 0
value = 1


